Get Link settings
Returns the effective links for the requested scope. Source is tracked for the list as a whole — the entire list is either inherited or overridden, never partially merged.
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.settings.v2.SettingsService/GetLinkSettings" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"settings": {
"links": [
{
"type": "LINK_TYPE_UNSPECIFIED",
"url": "string",
"translationKey": "string",
"target": "LINK_TARGET_UNSPECIFIED"
}
]
},
"source": "SOURCE_UNSPECIFIED"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Get Legal and Support Settings
Get Legal and Support Settings: Get the legal and support settings for the requested context. This can be the instance or an organization. In case of an organization, the returned settings will fall back to the instance settings ...
Get Lockout Settings
Get Lockout Settings: Get the lockout settings for the requested context. This can be the instance or an organization. In case of an organization, the returned settings will fall back to the instance settings if not exp...